# reorderVoicemailTemplates

Set the order of a person's voicemail drops: items are { id, displayOrder } for that userId.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "reorderVoicemailTemplates", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `userId`: `ID!` (required)
- `items`: `[ReorderVoicemailTemplateItemInput!]!` (required)
  - `id`: `ID!` (required)
  - `displayOrder`: `Int!` (required)

## Response (data, an example)

```json
{
  "callsMutation": {
    "reorderVoicemailTemplates": [
      {
        "id": "<ID>",
        "name": "…",
        "displayOrder": 0
      }
    ]
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "reorderVoicemailTemplates",
    "variables": {
      "userId": "<userId>",
      "items": [
        {
          "id": "<id>",
          "displayOrder": 10
        }
      ]
    }
  }'
```
